## org.exist.client.xacml
Interface XACMLTreeNode

All Known Subinterfaces:
  NodeContainer, PolicyElementContainer

All Known Implementing Classes:
  AbstractNodeContainer, AbstractPolicyNode, AbstractTreeNode, PolicyElementNode, RootNode

public interface XACMLTreeNode

Method Summary
`void` `commit(boolean deep)` Commits the state of this element.
`NodeContainer` `getParent()` Returns the parent of this node, or null if this is the root node.
`boolean` `isModified(boolean deep)` Returns true if this element has been modified.
`void` `revert(boolean deep)` Reverts the state of this element to the last commit.
`java.lang.String` `serialize(boolean indent)` Serializes this node to a `String`
`void` `setModified(boolean flag)` Sets the modification status of this node only.

Method Detail

### isModified

    public boolean isModified(boolean deep)

  Returns true if this element has been modified. If deep is true, then this takes into account the status of any descendants.

  Parameters:
    `deep` - if descendants should be included
  Returns:
    if this element has been modified

### setModified

    public void setModified(boolean flag)

  Sets the modification status of this node only.

  Parameters:
    `flag` - Whether this node's state is different from its state immediately after the last commit.

### revert

    public void revert(boolean deep)

  Reverts the state of this element to the last commit. If deep is true, then this includes any descendants.

  Parameters:
    `deep` -

### commit

    public void commit(boolean deep)

  Commits the state of this element. This state will be the state reverted to when revert is called. If deep is true, then this includes any descendants.

  Parameters:
    `deep` -

### getParent

    public NodeContainer getParent()

  Returns the parent of this node, or null if this is the root node.

  Returns:
    This node's parent

### serialize

    public java.lang.String serialize(boolean indent)

  Serializes this node to a `String`

  Parameters:
    `indent` - Whether or not the XML should be indented
  Returns:
    The string representation of this node

Copyright (C) Wolfgang Meier. All rights reserved.